declare @uid as varchar (50)
select @uid=uid from seg_usuario where id=1
if not exists(select * from gui_funcionalidad where nombreComando='adjuntarArchivo'and [id_tipoFuncionalidad]=5 and id_funcionalidad in(select id from  [gui_funcionalidad] where  [id_tipoFuncionalidad]=2 and [nombreComando]='Archivos' and [url]='/forms/general/formNuevo.aspx'and [nombreControl]='pop_archivos'and id_funcionalidad in (select id  from  [gui_funcionalidad] where  [id_tipoFuncionalidad]=3 and  [nombreControl] like'doc_documento%' and [url] <> '')))
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
select @uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',hj.id,5,'','',0,'','','',pd.[nombreControl],'adjuntarArchivo',3  from  [gui_funcionalidad] hj inner join  [gui_funcionalidad] pd on hj.id_funcionalidad=pd.id where hj.[id_tipoFuncionalidad]=2 and hj.[nombreComando]='Archivos' and hj.[url]='/forms/general/formNuevo.aspx'and hj.[nombreControl]='pop_archivos'and pd.[id_tipoFuncionalidad]=3 and  pd.[nombreControl] like'doc_documento%' and pd.[url] <> ''
end


